diff --git a/chipsec_tools/compression/Tiano/Decompress.c b/chipsec_tools/compression/Tiano/Decompress.c
index 5f0d73372..289455875 100644
--- a/chipsec_tools/compression/Tiano/Decompress.c
+++ b/chipsec_tools/compression/Tiano/Decompress.c
@@ -1,4 +1,4 @@
-/** @file
+gg/** @file
 
 Copyright (c) 2004 - 2008, Intel Corporation. All rights reserved.<BR>
 This program and the accompanying materials
@@ -246,7 +246,8 @@ Routine Description:
   if (Index != 0) {
     Index3 = (UINT16) (1U << TableBits);
     while (Index != Index3) {
-      if(Index > TableSize)
+      
+      if(Index >= TableSize)
       {
         Sd->mBadAlgorithm = 1;
         return (UINT16) BAD_TABLE;
@@ -270,11 +271,12 @@ Routine Description:
     if (Len <= TableBits) {
 
       for (Index = Start[Len]; Index < NextCode; Index++) {
-        if(Index > TableSize)
+        
+        if(Index >= TableSize)
         {
           Sd->mBadAlgorithm = 1;
           return (UINT16) BAD_TABLE;
-        }
+        } 
         Table[Index] = Char;
       }
 
